package cn.com.infosec.asn1.isismtt.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERString;
import cn.com.infosec.asn1.x500.DirectoryString;

public class AdditionalInformationSyntax extends ASN1Encodable {
   private DirectoryString information;

   public static AdditionalInformationSyntax getInstance(Object obj) {
      if (obj != null && !(obj instanceof AdditionalInformationSyntax)) {
         if (obj instanceof DERString) {
            return new AdditionalInformationSyntax(DirectoryString.getInstance(obj));
         } else {
            throw new IllegalArgumentException("illegal object in getInstance: " + obj.getClass().getName());
         }
      } else {
         return (AdditionalInformationSyntax)obj;
      }
   }

   private AdditionalInformationSyntax(DirectoryString information) {
      this.information = information;
   }

   public AdditionalInformationSyntax(String information) {
      AdditionalInformationSyntax var10000 = this;
      DirectoryString var2;
      var2 = new DirectoryString.<init>(information);
      var10000.<init>(var2);
   }

   public DirectoryString getInformation() {
      return this.information;
   }

   public DERObject toASN1Object() {
      return this.information.toASN1Object();
   }
}
